get_phy_device
Prev | PHY Support | Next

## Name

get_phy_device — reads the specified PHY device and returns its `phy_device` struct

## Synopsis

`struct phy_device * get_phy_device (` | struct mii_bus * | bus,
| int | addr`)`;

## Arguments

`bus`

  the target MII bus

`addr`

  PHY address on the MII bus

## Description

Reads the ID registers of the PHY at `addr` on the `bus`, then allocates and returns the phy_device to represent it.

Prev | Up | Next
phy_driver_register | Home | phy_prepare_link